curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=SGP" \
-F "services=sgp_credit_bureau" \
-F "vendor_data=user-1234" \
-F "consent=true" \
-F "full_name=John Doe" \
-F "date_of_birth=1990-01-01" \
-F 'address={"street_1":"123 Sample Street","street_2":"Unit 4","city":"Sample City","region":"Sample State","postal_code":"10001","country":"US"}' \
-F "national_id=SAMPLE-NID-12345"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="SGP",
services=["sgp_credit_bureau"],
consent=True,
full_name="John Doe",
date_of_birth="1990-01-01",
address={"street_1": "123 Sample Street", "street_2": "Unit 4", "city": "Sample City", "region": "Sample State", "postal_code": "10001", "country": "US"},
national_id="SAMPLE-NID-12345",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "SGP",
services: ["sgp_credit_bureau"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
address: { street_1: "123 Sample Street", street_2: "Unit 4", city: "Sample City", region: "Sample State", postal_code: "10001", country: "US" },
national_id: "SAMPLE-NID-12345",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "SGP",
Services: didit.Some([]string{"sgp_credit_bureau"}),
Consent: didit.Bool(true),
FullName: didit.String("John Doe"),
DateOfBirth: didit.String("1990-01-01"),
Address: didit.Some[any](map[string]any{"street_1": "123 Sample Street", "street_2": "Unit 4", "city": "Sample City", "region": "Sample State", "postal_code": "10001", "country": "US"}),
NationalID: didit.String("SAMPLE-NID-12345"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("SGP")
.services(List.of("sgp_credit_bureau"))
.consent(true)
.fullName("John Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.address(DatabaseValidationValidateParams.Address.ofVariant1(DatabaseValidationValidateParams.Address.Variant1.builder()
.street1("123 Sample Street")
.street2("Unit 4")
.city("Sample City")
.region("Sample State")
.postalCode("10001")
.country("US")
.build()))
.nationalId("SAMPLE-NID-12345")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'SGP',
'services' => ['sgp_credit_bureau'],
'consent' => true,
'full_name' => 'John Doe',
'date_of_birth' => '1990-01-01',
'address' => ['street_1' => '123 Sample Street', 'street_2' => 'Unit 4', 'city' => 'Sample City', 'region' => 'Sample State', 'postal_code' => '10001', 'country' => 'US'],
'national_id' => 'SAMPLE-NID-12345',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "SGP",
services: ["sgp_credit_bureau"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
address: { street_1: "123 Sample Street", street_2: "Unit 4", city: "Sample City", region: "Sample State", postal_code: "10001", country: "US" },
national_id: "SAMPLE-NID-12345",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Collections.Generic;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "SGP",
Services = new string[] { "sgp_credit_bureau" },
Consent = true,
FullName = "John Doe",
DateOfBirth = "1990-01-01",
Address = new Dictionary<string, object> { ["street_1"] = "123 Sample Street", ["street_2"] = "Unit 4", ["city"] = "Sample City", ["region"] = "Sample State", ["postal_code"] = "10001", ["country"] = "US" },
NationalId = "SAMPLE-NID-12345",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "SGP",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "sgp_credit_bureau",
"service_name": "Singapore Credit Bureau",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"city": "Sample City",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"postal_code": "10001",
"street": "sample_value",
"verifications": {
"address": true,
"date_of_birth": true,
"full_name": true,
"identification_number": true
}
},
"validation": {
"address": "full_match",
"date_of_birth": "full_match",
"full_name": "full_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "SGP",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "sgp_credit_bureau",
"service_name": "Singapore Credit Bureau",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"city": "Sample City",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"postal_code": "10001",
"street": "sample_value",
"verifications": {
"address": true,
"date_of_birth": true,
"full_name": false,
"identification_number": true
}
},
"validation": {
"address": "full_match",
"date_of_birth": "full_match",
"full_name": "no_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "SGP",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "sgp_credit_bureau",
"service_name": "Singapore Credit Bureau",
"source_data": {
"address": "NO_MATCH",
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"address": "no_match",
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
🇸🇬 Singapur
Singapur Kreditauskunftei Verifizierungs-API: ID-Abgleich
Singapur Kreditauskunftei: maßgebliche Datenbankvalidierung von Didit. Pay-per-Call ab $4.35, ohne Verträge oder Mindestabnahme.
POST
/
v3
/
database-validation
/
curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=SGP" \
-F "services=sgp_credit_bureau" \
-F "vendor_data=user-1234" \
-F "consent=true" \
-F "full_name=John Doe" \
-F "date_of_birth=1990-01-01" \
-F 'address={"street_1":"123 Sample Street","street_2":"Unit 4","city":"Sample City","region":"Sample State","postal_code":"10001","country":"US"}' \
-F "national_id=SAMPLE-NID-12345"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="SGP",
services=["sgp_credit_bureau"],
consent=True,
full_name="John Doe",
date_of_birth="1990-01-01",
address={"street_1": "123 Sample Street", "street_2": "Unit 4", "city": "Sample City", "region": "Sample State", "postal_code": "10001", "country": "US"},
national_id="SAMPLE-NID-12345",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "SGP",
services: ["sgp_credit_bureau"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
address: { street_1: "123 Sample Street", street_2: "Unit 4", city: "Sample City", region: "Sample State", postal_code: "10001", country: "US" },
national_id: "SAMPLE-NID-12345",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "SGP",
Services: didit.Some([]string{"sgp_credit_bureau"}),
Consent: didit.Bool(true),
FullName: didit.String("John Doe"),
DateOfBirth: didit.String("1990-01-01"),
Address: didit.Some[any](map[string]any{"street_1": "123 Sample Street", "street_2": "Unit 4", "city": "Sample City", "region": "Sample State", "postal_code": "10001", "country": "US"}),
NationalID: didit.String("SAMPLE-NID-12345"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("SGP")
.services(List.of("sgp_credit_bureau"))
.consent(true)
.fullName("John Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.address(DatabaseValidationValidateParams.Address.ofVariant1(DatabaseValidationValidateParams.Address.Variant1.builder()
.street1("123 Sample Street")
.street2("Unit 4")
.city("Sample City")
.region("Sample State")
.postalCode("10001")
.country("US")
.build()))
.nationalId("SAMPLE-NID-12345")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'SGP',
'services' => ['sgp_credit_bureau'],
'consent' => true,
'full_name' => 'John Doe',
'date_of_birth' => '1990-01-01',
'address' => ['street_1' => '123 Sample Street', 'street_2' => 'Unit 4', 'city' => 'Sample City', 'region' => 'Sample State', 'postal_code' => '10001', 'country' => 'US'],
'national_id' => 'SAMPLE-NID-12345',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "SGP",
services: ["sgp_credit_bureau"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
address: { street_1: "123 Sample Street", street_2: "Unit 4", city: "Sample City", region: "Sample State", postal_code: "10001", country: "US" },
national_id: "SAMPLE-NID-12345",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Collections.Generic;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "SGP",
Services = new string[] { "sgp_credit_bureau" },
Consent = true,
FullName = "John Doe",
DateOfBirth = "1990-01-01",
Address = new Dictionary<string, object> { ["street_1"] = "123 Sample Street", ["street_2"] = "Unit 4", ["city"] = "Sample City", ["region"] = "Sample State", ["postal_code"] = "10001", ["country"] = "US" },
NationalId = "SAMPLE-NID-12345",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "SGP",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "sgp_credit_bureau",
"service_name": "Singapore Credit Bureau",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"city": "Sample City",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"postal_code": "10001",
"street": "sample_value",
"verifications": {
"address": true,
"date_of_birth": true,
"full_name": true,
"identification_number": true
}
},
"validation": {
"address": "full_match",
"date_of_birth": "full_match",
"full_name": "full_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "SGP",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "sgp_credit_bureau",
"service_name": "Singapore Credit Bureau",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"city": "Sample City",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"postal_code": "10001",
"street": "sample_value",
"verifications": {
"address": true,
"date_of_birth": true,
"full_name": false,
"identification_number": true
}
},
"validation": {
"address": "full_match",
"date_of_birth": "full_match",
"full_name": "no_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "SGP",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "sgp_credit_bureau",
"service_name": "Singapore Credit Bureau",
"source_data": {
"address": "NO_MATCH",
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"address": "no_match",
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
Prüft Eingabedaten gegen Credit-Header-Daten, die von einer Kreditauskunftei in Singapur bezogen werden. Didit stellt diesen Dienst über
POST /v3/database-validation/ bereit, damit Sie die übermittelten Daten mit der maßgeblichen Quelle abgleichen und normalisierte Übereinstimmungsergebnisse erhalten.
Abdeckung
- Abdeckung: nicht offengelegt
- Land: Singapur
- Dienst-ID:
sgp_credit_bureau - Datenbereich: Finanzen
- Kategorie: CreditBureau
Eingaben
| Feld | Erforderlich | Beispiel |
|---|---|---|
full_name | Ja | John Doe |
date_of_birth | Ja | 1990-01-01 |
address.street_1 | Ja | 123 Sample Street |
address.postal_code | Ja | 10001 |
national_id | Ja | SAMPLE-NID-12345 |
address.street_2 | Nein | Unit 4 |
address.city | Nein | Sample City |
address.region | Nein | Sample State |
vendor_data | Nein | user-1234 |
- Pflichteingaben:
full_name,date_of_birth,address.street_1,address.postal_code,national_id - Optionale Eingaben:
address.street_2,address.city,address.region,vendor_data - Einwilligung: Erforderlich
- Verfügbarkeit im Workflow: Im Workflow verfügbar
- Abdeckung: nicht offengelegt
- Preis: $4.35 pro erfolgreicher Abfrage
Body-Parameter
string
Standard:"SGP"
erforderlich
ISO-3166-1-Alpha-3-Ländercode für diesen Datenbankdienst.Beispiel:
SGPstring
Standard:"sgp_credit_bureau"
erforderlich
Array mit dieser Dienst-ID. Das Festlegen des Dienstes beschränkt die Anfrage auf genau diese Datenbank.Beispiel:
sgp_credit_bureauboolean
Standard:"true"
erforderlich
Ausdrückliche Einwilligung des Endbenutzers für diesen Dienst.Beispiel:
truestring
Standard:"John Doe"
erforderlich
Vollständiger rechtlicher Name, der validiert werden soll.Beispiel:
John Doestring
Standard:"1990-01-01"
erforderlich
Geburtsdatum im Format
YYYY-MM-DD.Beispiel: 1990-01-01object
erforderlich
Strukturiertes Objekt für die Wohnadresse. Verwenden Sie
street_1, street_2, city, region, postal_code und country. Eine vollständige Adresse als einzelner Legacy-String wird weiterhin akzeptiert, ist aber nicht empfohlen.Beispiel: {"street_1":"123 Sample Street","street_2":"Unit 4","city":"Sample City","region":"Sample State","postal_code":"10001","country":"US"}string
Standard:"SAMPLE-NID-12345"
erforderlich
Nationale Identifikationsnummer für diesen Dienst.Beispiel:
SAMPLE-NID-12345string
Standard:"user-1234"
Ihre stabile Benutzerreferenz für diese Person, etwa Ihre interne Benutzer-ID. Didit verwendet sie, um eigenständige Prüfungen derselben Endbenutzer zuzuordnen und das Rauschen bei Duplikaterkennungen zu verringern.Beispiel:
user-1234Eingaberegeln & Validierungshinweise
- Senden Sie für Adressdienste nach Möglichkeit strukturierte Adressfelder statt eines einzelnen
address-Strings. address.street_1ist die Straßenadresse einschließlich Hausnummer und Straßentyp.address.street_2bezeichnet eine Wohnung, eine Einheit, ein Gebäude, eine Etage oder eine zusätzliche Adresszeile. Senden Sie es nur, wenn Sie diese Angabe haben.address.citybezeichnet eine Stadt, einen Vorort, einen Bezirk, eine Ortschaft oder einen Stadtteil.address.regionbezeichnet einen Bundesstaat, eine Provinz, eine Region oder eine Ortschaft.address.postal_codeist die Postleitzahl.- Adressbasierte Datenbankdienste erfordern mindestens Straßenadresse und Postleitzahl. Anfragen, die vor der Quellenabfrage abgelehnt werden, werden nicht berechnet.
So rufen Sie es auf
curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=SGP" \
-F "services=sgp_credit_bureau" \
-F "vendor_data=user-1234" \
-F "consent=true" \
-F "full_name=John Doe" \
-F "date_of_birth=1990-01-01" \
-F 'address={"street_1":"123 Sample Street","street_2":"Unit 4","city":"Sample City","region":"Sample State","postal_code":"10001","country":"US"}' \
-F "national_id=SAMPLE-NID-12345"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="SGP",
services=["sgp_credit_bureau"],
consent=True,
full_name="John Doe",
date_of_birth="1990-01-01",
address={"street_1": "123 Sample Street", "street_2": "Unit 4", "city": "Sample City", "region": "Sample State", "postal_code": "10001", "country": "US"},
national_id="SAMPLE-NID-12345",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "SGP",
services: ["sgp_credit_bureau"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
address: { street_1: "123 Sample Street", street_2: "Unit 4", city: "Sample City", region: "Sample State", postal_code: "10001", country: "US" },
national_id: "SAMPLE-NID-12345",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "SGP",
Services: didit.Some([]string{"sgp_credit_bureau"}),
Consent: didit.Bool(true),
FullName: didit.String("John Doe"),
DateOfBirth: didit.String("1990-01-01"),
Address: didit.Some[any](map[string]any{"street_1": "123 Sample Street", "street_2": "Unit 4", "city": "Sample City", "region": "Sample State", "postal_code": "10001", "country": "US"}),
NationalID: didit.String("SAMPLE-NID-12345"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("SGP")
.services(List.of("sgp_credit_bureau"))
.consent(true)
.fullName("John Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.address(DatabaseValidationValidateParams.Address.ofVariant1(DatabaseValidationValidateParams.Address.Variant1.builder()
.street1("123 Sample Street")
.street2("Unit 4")
.city("Sample City")
.region("Sample State")
.postalCode("10001")
.country("US")
.build()))
.nationalId("SAMPLE-NID-12345")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'SGP',
'services' => ['sgp_credit_bureau'],
'consent' => true,
'full_name' => 'John Doe',
'date_of_birth' => '1990-01-01',
'address' => ['street_1' => '123 Sample Street', 'street_2' => 'Unit 4', 'city' => 'Sample City', 'region' => 'Sample State', 'postal_code' => '10001', 'country' => 'US'],
'national_id' => 'SAMPLE-NID-12345',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "SGP",
services: ["sgp_credit_bureau"],
consent: true,
full_name: "John Doe",
date_of_birth: "1990-01-01",
address: { street_1: "123 Sample Street", street_2: "Unit 4", city: "Sample City", region: "Sample State", postal_code: "10001", country: "US" },
national_id: "SAMPLE-NID-12345",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Collections.Generic;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "SGP",
Services = new string[] { "sgp_credit_bureau" },
Consent = true,
FullName = "John Doe",
DateOfBirth = "1990-01-01",
Address = new Dictionary<string, object> { ["street_1"] = "123 Sample Street", ["street_2"] = "Unit 4", ["city"] = "Sample City", ["region"] = "Sample State", ["postal_code"] = "10001", ["country"] = "US" },
NationalId = "SAMPLE-NID-12345",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
Jeder erfolgreiche Aufruf liefert HTTP 200 zurück. Das Feld outcome_code zeigt, was tatsächlich passiert ist. So wird beispielsweise ein echter biometrischer Nichtabgleich (BIOMETRIC_NO_MATCH) von einem Selfie unterschieden, das nicht gelesen werden konnte (BIOMETRIC_IMAGE_UNUSABLE). Der angezeigte status ist der Standardstatus der Funktion. Ihre konfigurierten Aktionen für Teilübereinstimmung / keine Übereinstimmung können ihn überschreiben.MATCH – Das Register hat die Identität bestätigt, und jedes geprüfte Feld stimmte überein.{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "SGP",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "sgp_credit_bureau",
"service_name": "Singapore Credit Bureau",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"city": "Sample City",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"postal_code": "10001",
"street": "sample_value",
"verifications": {
"address": true,
"date_of_birth": true,
"full_name": true,
"identification_number": true
}
},
"validation": {
"address": "full_match",
"date_of_birth": "full_match",
"full_name": "full_match",
"identification_number": "full_match"
}
}
]
}
PARTIAL_MATCH – Die Identifikationsnummer wurde gefunden, aber ein oder mehrere persönliche Felder (meist Name oder Geburtsdatum) stimmten nicht vollständig überein.{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "SGP",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "sgp_credit_bureau",
"service_name": "Singapore Credit Bureau",
"source_data": {
"address": "123 Sample Street",
"address_match_score": "1.000",
"city": "Sample City",
"date_of_birth": "1990-01-01",
"identification_number": "SAMPLE-ID-12345",
"postal_code": "10001",
"street": "sample_value",
"verifications": {
"address": true,
"date_of_birth": true,
"full_name": false,
"identification_number": true
}
},
"validation": {
"address": "full_match",
"date_of_birth": "full_match",
"full_name": "no_match",
"identification_number": "full_match"
}
}
]
}
NO_MATCH – Das Register hat für die übermittelten Daten keine Übereinstimmung zurückgegeben.{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "SGP",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "sgp_credit_bureau",
"service_name": "Singapore Credit Bureau",
"source_data": {
"address": "NO_MATCH",
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"address": "no_match",
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
Zurückgegebene Daten
Welche genauen Felder insource_data ausgegeben werden, hängt davon ab, was das Register zurückgibt. Das generierte Beispiel für sgp_credit_bureau dokumentiert derzeit folgende normalisierte Struktur:
addressaddress_match_scorecitydate_of_birthidentification_numberpostal_codestreet
Preise & SLAs
Abfragen des Singapore Credit Bureau werden nur abgerechnet, wenn Didit ein eindeutiges Ergebnis der Validierungsquelle erhält.- Preis pro Aufruf: $4.35 USD.
- Abrechnung: pro erfolgreicher Abfrage. Ihnen wird nichts berechnet, wenn das Register nicht erreichbar ist, wenn erforderliche Felder fehlen oder wenn die Anfrage abgelehnt wird, bevor sie die Quelle erreicht.
- Latenz: typischer p95-Wert < 2 s.
- Verfügbarkeit: 99.9% pro Quartal auf Seiten von Didit; die Verfügbarkeit der nachgelagerten Quelle variiert je nach Land und Datensatz.
Weiterlesen
Zuletzt geändert am 7. November 2026